#!/usr/bin/python

from br_registrations.validateCPF import CPF as cpf_validator
import sqlite3
import random
import requests

def formatted_cpf(root: str) -> str:
    dvs = cpf_validator.get_cpf_dv(root)
    return root + str(dvs[0]) + str(dvs[1])

def random_cpf() -> str:
    root = '{0:09}'.format(random.randint(1, 999999999))
    return formatted_cpf(root)

# sqlite3: create table cpf(cpf varchar2(11) primary key, contents text default null, ok bool default false);

if __name__ == "__main__":
    db = sqlite3.connect('/tmp/cpf.db')
    cur = db.cursor()
    session = requests.Session()
    while True:
        cpf = random_cpf()
        print(cpf)
        cur.execute("select cpf from cpf where cpf = '{0}'".format(cpf))
        if not cur.fetchone():
            r = session.post('https://api.destinorastreios.online/api/consultar-cpf', json={"cpf":cpf})
            if r.ok:
                p = {'cpf' : cpf, 'contents' : r.text, 'ok' : True}
                cur.execute('insert into cpf (cpf, contents, ok) values (:cpf, :contents, :ok)', p)
                db.commit()
            else:
                p = {'cpf' : cpf}
                cur.execute('insert into cpf (cpf) values (:cpf)', p)
                db.commit()
